from zLOG import LOG, DEBUG

# Fix relation field
def fixrelationfield(self):
  for folder_dict in self.portal_skins._objects:
    if folder_dict['meta_type'] == 'Folder':
      folder_id = folder_dict['id']
      folder = getattr(self.portal_skins, folder_id)
      for obj_dict in folder._objects:
        if obj_dict['meta_type'] == 'ERP5 Form':
          obj_id = obj_dict['id']
          form = getattr(folder, obj_id)
          for field_dict in form._objects:
            if field_dict['meta_type'] == 'RelationStringField':
              field_id = field_dict['id']
              field = getattr(form, field_id)
              if field.values['default'] == []:
                LOG("Fix RelationField", DEBUG,
                    "Change value from '%s' to '%s' for field '%s' in form '%s'" % \
                        (field.values['default'], "", field_id, obj_id))
                field.values['default'] = ''
                field._edit({'default': ''})
  return "OK"
